version: "3.8"

services:
  osrm:
    image: osrm/osrm-backend:latest
    container_name: osrm
    restart: unless-stopped
    command: >
      osrm-routed --algorithm mld
      --max-table-size 8000
      /data/${OSRM_DATASET:-france-latest}.osrm
    volumes:
      - /srv/osrm:/data
    network_mode: bridge
    ports:
      - "127.0.0.1:5000:5000"

  tiles:
    image: maptiler/tileserver-gl
    container_name: tileserver
    restart: unless-stopped
    command: >
      --public_url https://tiles.roadtripper.io
      --verbose
    volumes:
      - /srv/tiles:/data
    network_mode: bridge
    ports:
      - "127.0.0.1:8080:80"
